import 'package:flutter/material.dart';
import 'package:trackeroo/logic/models/selecable_color.dart';

Map<String, SelectableColor> selectableColors = {
  'Ocean': SelectableColor(title: 'Ocean', color: const Color(0xFF99c1fe)),
  'Sky': SelectableColor(title: 'Sky', color: const Color(0xFF90ceff)),
  'Baby Blue': SelectableColor(title: 'Baby Blue', color: const Color(0xFF9ee2ff)),
  'Stormy Blue': SelectableColor(title: 'Stormy Blue', color: const Color(0xFFb6c9d8)),
  'Barely Blue': SelectableColor(title: 'Barely Blue', color: const Color(0xFFb0bbc0)),
  'Sorta Eucalyptus': SelectableColor(title: 'Sorta Eucalyptus', color: const Color(0xFFb6ccba)),
  'Caribean': SelectableColor(title: 'Caribean', color: const Color(0xFFa2ffe3)),
  'Eucalyptus': SelectableColor(title: 'Eucalyptus', color: const Color(0xFF009688)),
  'Dark Olive': SelectableColor(title: 'Dark Olive', color: const Color(0xFF6e7872)),
  'Basil': SelectableColor(title: 'Basil', color: const Color(0xFF0b8043)),
  'Betty': SelectableColor(title: 'Betty', color: const Color(0xFF33b679)),
  'Mint': SelectableColor(title: 'Mint', color: const Color(0xFF96ffc4)),
  'Sage': SelectableColor(title: 'Sage', color: const Color(0xFFc7fcd0)),
  'Sorta Sage': SelectableColor(title: 'Sorta Sage', color: const Color(0xFF99aaa5)),
  'Pistacio': SelectableColor(title: 'Pistacio', color: const Color(0xFF7cb342)),
  'Avocado': SelectableColor(title: 'Avocado', color: const Color(0xFFc0ca33)),
  'Citron': SelectableColor(title: 'Citron', color: const Color(0xFFe4c441)),
  'Lemon Pop': SelectableColor(title: 'Lemon Pop', color: const Color(0xFFe4e274)),
  'Sun': SelectableColor(title: 'Sun', color: const Color(0xFFf9f586)),
  'Warm Day': SelectableColor(title: 'Warm Day', color: const Color(0xFFffe68d)),
  'Banana': SelectableColor(title: 'Banana', color: const Color(0xFFf6bf26)),
  'Pale Yellow': SelectableColor(title: 'Pale Yellow', color: const Color(0xFFe1cd8b)),
  'Linen': SelectableColor(title: 'Linen', color: const Color(0xFFdccfaf)),
  'Skin': SelectableColor(title: 'Skin', color: const Color(0xFFffd2af)),
  'Beige': SelectableColor(title: 'Beige', color: const Color(0xFFe2c0a3)),
  'Piggy': SelectableColor(title: 'Piggy', color: const Color(0xFFe7bdb5)),
  'Flamingo': SelectableColor(title: 'Flamingo', color: const Color(0xFFffa8ad)),
  'Sunrise': SelectableColor(title: 'Sunrise', color: const Color(0xFFff9d82)),
  'Salmon': SelectableColor(title: 'Salmon', color: const Color(0xFFff9366)),
  'Mango': SelectableColor(title: 'Mango', color: const Color(0xFFf09300)),
  'Pumpkin': SelectableColor(title: 'Pumpkin', color: const Color(0xFFef6c00)),
  'Tangerine': SelectableColor(title: 'Tangerine', color: const Color(0xFFf4511e)),
  'Shell': SelectableColor(title: 'Shell', color: const Color(0xFFb58a8c)),
  'Coral': SelectableColor(title: 'Coral', color: const Color(0xFFbf796b)),
  'Terra Cotta': SelectableColor(title: 'Terra Cotta', color: const Color(0xFFa14536)),
  'Tomato': SelectableColor(title: 'Tomato', color: const Color(0xFFd50000)),
  'Cherry Blossom': SelectableColor(title: 'Cherry Blossom', color: const Color(0xFFd81b60)),
  'Radicchio': SelectableColor(title: 'Radicchio', color: const Color(0xFFad1457)),
  'Warm Stone': SelectableColor(title: 'Warm Stone', color: const Color(0xFF8f7967)),
  'Just Black': SelectableColor(title: 'Just Black', color: const Color(0xFF494c4f)),
  'Clearly White': SelectableColor(title: 'Clearly White', color: const Color(0xFFedefea)),
};
