import 'package:get/get.dart';

class LocalString extends Translations {
  @override
  Map<String, Map<String, String>> get keys => {
        'en_US': {
          'Error': 'Failed to pick image:',
          'ChoosePB': 'Choose Profile Picture',
          'camera': 'Camera',
          'Gallery': 'Gallery',
          'EP': 'Edit Profile',
          'name': 'Name',
          'Number': 'Mobile Phone number',
          'email': 'E-Mail',
          'Save': 'Save',
          'Lang': 'Select a language',
          'Profile': 'Profile',
          'enterNu': 'Enter your Mobile Phone Number',
          'enterNa': 'Enter your Name',
          'enterE': 'Enter your E-Mail',
          'skip': 'skip',
          'next': 'next',
          'done': 'done',
          'balance': 'Balance',
          'overview': 'Overview',
          'income': 'Income',
          'expenses': 'Expenses',
          'transactions': 'Transactions',
          'Transaction deleted': 'Transaction deleted',
          'NET': 'no existing transactions yet',
          'ET': 'Edit Transaction',
          'CT': 'Create Transaction',
          'amount': 'Amount',
          'category': 'Category',
          'SP': 'Scheduled payment',
          'daily': 'Daily',
          'weekly': 'Weekly',
          'montly': 'Montly',
          'yearly': 'Yearly',
          'TCBE': 'Title cannot be empty',
          'ACBE': 'Amount cannot be empty',
          'CCBE': 'Category cannot be empty',
          'CC': 'Choose color',
          'EC': 'edit Category',
          'DC': 'Delete Category',
          'mes':
              'Do you really want to delete this category?\nIt will be lost forever.',
          'Cancel': 'Cancel',
          'Delete': 'Delete',
          'Choose icon': 'Choose icon',
          'Category Name': 'Category Name',
          'Color': 'Color',
          'Budget': 'Budget',
          'set Budget': 'set Budget',
          'Datails chart': 'Datails chart',
          'Choose categories': 'Choose categories',
          'Choose timespan': 'Choose timespan',
          'Timespan': 'Timespan',
          'Categories': 'Categories',
          'add Category': 'add Category',
          'add Transaction': 'add Transaction',
          'Undo': 'Undo',
        },
        'de_DE': {
          'Error': 'Bild auswählen Fehlgeschlagen:',
          'ChoosePB': 'Wähle ein Profielbild Aus',
          'camera': 'Kamera',
          'Gallery': 'Alben',
          'EP': 'Profiel Bearbeiten',
          'name': 'Name',
          'Number': 'Handynummer',
          'email': 'E-Mail',
          'Save': 'Speichern',
          'Lang': 'Sprache einstellen',
          'Profile': 'Profil',
          'enterNu': 'Geben Sie Ihre Handynummer ein',
          'enterNa': 'Geben Sie Ihren Namen ein',
          'enterE': 'Geben Sie Ihre E-Mail ein',
          'skip': 'überspringen',
          'next': 'Weiter',
          'done': 'Fertig',
          'balance': 'Kontostand',
          'overview': 'Übersicht',
          'income': 'Einkommen',
          'expenses': 'Ausgaben',
          'transactions': 'Transaktionen',
          'Transaction deleted': 'Transaktion Löschen',
          'NET': 'Keine Transaktionen Vorhanden',
          'ET': 'Transaktion Bearbeiten',
          'CT': 'Transaktion erstellen',
          'amount': 'Betrag',
          'category': 'Kategorie',
          'SP': 'Geplante Zahlung ',
          'daily': 'Täglich',
          'weekly': 'Wöchentlich',
          'montly': 'Monatlich',
          'yearly': 'Jährlich',
          'TCBE': 'Titel darf nicht leer sein',
          'ACBE': 'Betrag darf nicht leer sein',
          'CCBE': 'Kategorie darf nicht leer sein',
          'CC': 'Wähle die Farbe aus',
          'EC': 'Kategorie Bearbeiten',
          'DC': 'Kategorie Löschen',
          'mes':
              'Willst du diese Kategorie wirklich löschen?\nDadurch wird Sie für immer Verloren.',
          'Cancel': 'Abbrechen',
          'Delete': 'Löschen',
          'Choose icon': 'Wähle ein Icon aus',
          'Category Name': 'Kategorie Name',
          'Color': 'Farbe',
          'Budget': 'Budget',
          'set Budget': 'Budget Festlegen',
          'Datails chart': 'Datenübersicht',
          'Choose categories': 'Wähle die Kategorie aus',
          'Choose timespan': 'Zeitspanne wählen',
          'Timespan': 'Zeitspanne',
          'Categories': 'Kategorien',
          'add Category': 'Kategrie Hinzufügen',
          'add Transaction': 'Transaktion Hinzufügen',
          'Undo': 'Rückgängig',
        }
      };
}
